AbstractCacheLifecycleListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: AbstractCacheLifecycleListener

Package org.apache.geode.modules.session.catalina

# Class AbstractCacheLifecycleListener

java.lang.Object
org.apache.geode.modules.session.catalina.AbstractCacheLifecycleListener

All Implemented Interfaces:
  `org.apache.catalina.LifecycleListener`

Direct Known Subclasses:
  `ClientServerCacheLifecycleListener`, `PeerToPeerCacheLifecycleListener`

public abstract class AbstractCacheLifecycleListener extends Object implements org.apache.catalina.LifecycleListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AbstractCache`
  `cache`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractCacheLifecycleListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getCriticalHeapPercentage()`
  `float`
  `getEvictionHeapPercentage()`
  `boolean`
  `getRebalance()`
  `void`
  `lifecycleEvent(org.apache.catalina.LifecycleEvent le)`
  `void`
  `setCriticalHeapPercentage(String criticalHeapPercentage)`
  `void`
  `setEvictionHeapPercentage(String evictionHeapPercentage)`
  `void`
  `setProperty(String name, String value)`
  This is called by Tomcat to set properties on the Listener.
  `void`
  `setRebalance(boolean rebalance)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cache

    protected AbstractCache cache

- ## Constructor Details

  - ### AbstractCacheLifecycleListener

    public AbstractCacheLifecycleListener()

- ## Method Details

  - ### lifecycleEvent

    public void lifecycleEvent(org.apache.catalina.LifecycleEvent le)
    Specified by:
      `lifecycleEvent` in interface `org.apache.catalina.LifecycleListener`

  - ### setProperty

    public void setProperty(String name, String value)
    This is called by Tomcat to set properties on the Listener.
    Parameters:
      `name` - the name of the property to set
      `value` - the value to set the property to

  - ### getEvictionHeapPercentage

    public float getEvictionHeapPercentage()

  - ### setEvictionHeapPercentage

    public void setEvictionHeapPercentage(String evictionHeapPercentage)

  - ### getCriticalHeapPercentage

    public float getCriticalHeapPercentage()

  - ### setCriticalHeapPercentage

    public void setCriticalHeapPercentage(String criticalHeapPercentage)

  - ### setRebalance

    public void setRebalance(boolean rebalance)

  - ### getRebalance

    public boolean getRebalance()